Rubygems update breaks other gems?

Hello,

I am on Ubuntu 9.10
I ran the following commands for a rubygems update from 1.3.5 to 1.3.6

$ sudo gem install update_rubygems
$ cd /var/lib/gems/1.8/bin
$ sudo ./update_rubygems
$ gem -v
1.3.6

but after this some of the installed gems fail to work . For eg.

$ rails -v
/usr/local/lib/site_ruby/1.8/rubygems.rb:777:in
report_activate_error': Could not find RubyGem rails (>= 0) (Gem::LoadError) from /usr/local/lib/site_ruby/1.8/rubygems.rb:211:inactivate’
from /usr/local/lib/site_ruby/1.8/rubygems.rb:1056:in `gem’
from /var/lib/gems/1.8/bin/rails:18

What is wrong here?

On Mar 27, 2010, at 02:00, kgthegreat wrote:
Hello,

I am on Ubuntu 9.10
I ran the following commands for a rubygems update from 1.3.5 to 1.3.6

$ sudo gem install update_rubygems
$ cd /var/lib/gems/1.8/bin
$ sudo ./update_rubygems
$ gem -v
1.3.6

Had you run gem update --system it would have said something like
“don’t do that” because you (probably) have debian/ubuntu RubyGems
installed.

What is wrong here?
ubuntu/debian RubyGems and standard RubyGems disagree with each other.
Now that you’ve installed standard RubyGems you’ll need to set the
GEM_HOME environment variable to /var/lib/gems/1.8, I think

This forum is not affiliated to the Ruby language, Ruby on Rails framework, nor any Ruby applications discussed here.

| Privacy Policy | Terms of Service | Remote Ruby Jobs